<?php
/**
* DBテーブル間の関連情報を保持するクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class DBRelation
{
	var $_target;
	var $_foreign_key;
	var $_key_field;
	var $_linkage;
	var $_extract;

	/*
	 *    コンストラクタ
	 *
	 *  @param object target 関連先テーブルモデル
	 *  @param string foreign_key 外部キーフィールド名
	 *  @param string key_field キーフィールド名
	 *  @param string linkage リンケージ指定
	 *  @param string extract 展開フィールド
	 */
	public function __construct( $target, $foreign_key, $key_field, $linkage, $extract )
	{
		$this->_target       = $target;
		$this->_foreign_key  = $foreign_key;
		$this->_key_field    = $key_field;
		$this->_linkage      = $linkage;
		$this->_extract      = $extract;
	}

	/*
	 *   関連先テーブルモデル
	 *
	 */
	public function getTarget()
	{
		return $this->_target;
	}

	/*
	 *    外部キーフィールド名
	 *
	 */
	public function getForeignKey()
	{
		return $this->_foreign_key;
	}

	/*
	 *    キーフィールド名
	 *
	 */
	public function getKeyField()
	{
		return $this->_key_field;
	}

	/*
	 *    リンケージ指定
	 *
	 */
	public function getLinkage()
	{
		return $this->_linkage;
	}

	/*
	 *    展開フィールド
	 *
	 */
	public function getExtract()
	{
		return $this->_extract;
	}
}
